<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Puremart New Product Form</title>
    <style>
        body {
            font-family: Arial, sans-serif;
            background-color: #f4f4f4;
            margin: 0;
            padding: 0;
            display: flex;
            justify-content: center;
            align-items: center;
            height: 100vh;
        }
        form {
            background-color: #fff;
            padding: 20px;
            border-radius: 8px;
            box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
        }
        input[type="text"], input[type="number"], textarea {
        width: calc(100% - 22px);
        padding: 10px;
        margin-bottom: 10px;
        border: 1px solid #ccc;
        border-radius: 5px;
        box-sizing: border-box;
        }
        input[type="submit"] {
            background-color: #007bff;
            color: #fff;
            padding: 10px 20px;
            border: none;
            border-radius: 5px;
            cursor: pointer;
        }
        input[type="submit"]:hover {
            background-color: #0056b3;
        }

        .puremart {
            text-align: center;
        }

        #user {
            display: none;
        }
    </style>
</head>
<body>
    
<form id="productForm">
    <h1 class="puremart">PureMart</h1>
    <h1>New Product Registration</h1>

    <input type="text" id="user" name="user" required disabled><br>

    <label for="rfid">RFID ID:</label>
    <input type="text" id="rfid" name="rfid" required><br>

    <label for="productName">Product Name:</label>
    <input type="text" id="productName" name="productName" required><br>

    <label for="price">Product Price:</label>
    <input type="number" id="price" name="price" required><br>

    <label for="manufacturer">Manufacturer:</label>
    <input type="text" id="manufacturer" name="manufacturer" required><br>

    <label for="stock">Stock:</label>
    <input type="number" id="stock" name="stock" required><br>

    <label for="description">Description:</label><br>
    <textarea id="description" name="description" rows="4" cols="50" required></textarea><br>

    <input type="submit" value="Submit">
</form>

<script>
    document.getElementById("productForm").addEventListener("submit", function(event) {
        event.preventDefault();
        const formData = new FormData(this);
        const jsonData = {};
        formData.forEach((value, key) => {
            jsonData[key] = value;
        });
        const jsonString = JSON.stringify(jsonData);
        fetch(`https://despro2-backend.onrender.com/api/product/add`, {
            method: "POST",
            headers: {
                "Content-Type": "application/json"
            },
            body: jsonString
        })
        .then(response => {
            if (!response.ok) {
                throw new Error('Network response was not ok');
                console.log(error)
            }
            return response.json();
        })
        .then(data => {
            console.log('Success:', data);
            alert("Product added successfully!");
            document.getElementById("productForm").reset();
            setTimeout(function() {
                window.location.reload();
            }, 1000);
        })
        .catch(error => {
            console.error('Error:', error);
            alert("Failed to add product. Please try again.");
        });
    });
    const simulatedRFID = "";
    document.getElementById("rfid").value = simulatedRFID;

    const user = "6610ff36f8c08347a4e75cd5";
    document.getElementById("user").value = user;
</script>
</body>
</html>
